org.apache.ignite.internal.commandline.configuration

## Enum VisorTracingConfigurationOperation

- java.lang.Object
- - java.lang.Enum<VisorTracingConfigurationOperation>
  - - org.apache.ignite.internal.commandline.configuration.VisorTracingConfigurationOperation

All Implemented Interfaces:
  Serializable, Comparable<VisorTracingConfigurationOperation>

    public enum VisorTracingConfigurationOperation
    extends Enum<VisorTracingConfigurationOperation>

Tracing configuration operation options.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GET` Get specific tracing configuration.
`GET_ALL` Get tracing configuration.
`RESET` Reset specific tracing configuration to default.
`RESET_ALL` Reset all scope specific tracing configurations to default, or reset all tracing configurations to default if scope is not specified.
`SET` Set new tracing configuration.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable VisorTracingConfigurationOperation` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static VisorTracingConfigurationOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorTracingConfigurationOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final VisorTracingConfigurationOperation GET

Get specific tracing configuration.

#### GET_ALL

    public static final VisorTracingConfigurationOperation GET_ALL

Get tracing configuration.

#### RESET

    public static final VisorTracingConfigurationOperation RESET

Reset specific tracing configuration to default.

#### RESET_ALL

    public static final VisorTracingConfigurationOperation RESET_ALL

Reset all scope specific tracing configurations to default, or reset all tracing configurations to default if scope is not specified.

#### SET

    public static final VisorTracingConfigurationOperation SET

Set new tracing configuration.

### Method Detail

#### values

    public static VisorTracingConfigurationOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorTracingConfigurationOperation c : VisorTracingConfigurationOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorTracingConfigurationOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable VisorTracingConfigurationOperation fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020